{
  writeShellApplication,
  nix-output-monitor,
  just,
}:
writeShellApplication
{
  name = "rebuild-no-inhibit";

  runtimeInputs = [nix-output-monitor just];

  text = ''
    # A rebuild script for NixOS

    set -e
    pushd /tmp > /dev/null
    rm -rf ./rebuild
    git clone https://codeberg.org/Lillian-Violet/NixOS-Config.git ./rebuild
    pushd ./rebuild > /dev/null
    echo "NixOS Rebuilding..."
    just build
    popd > /dev/null
    echo "Cleaning up repository in '/tmp/rebuild'..."
    rm -rf ./rebuild
    popd > /dev/null
    echo "NixOS Rebuilt OK!"
  '';
}
